enum ProgrammaticError.Reason (v201808)

Possible error reasons for a programmatic error.


Namespace
https://www.google.com/apis/ads/publisher/v201808
Enumeration Description
AUDIENCE_EXTENSION_NOT_SUPPORTED Audience extension is not supported by programmatic line items.
AUTO_EXTENSION_DAYS_NOT_SUPPORTED Auto extension days is not supported by programmatic line items.
VIDEO_NOT_SUPPORTED Video is currently not supported.
ROADBLOCKING_NOT_SUPPORTED Roadblocking is not supported by programmatic line items.
INVALID_CREATIVE_ROTATION Programmatic line items do not support CreativeRotationType.SEQUENTIAL.
INVALID_LINE_ITEM_TYPE Programmatic line items only support LineItemType.STANDARD and LineItemType.SPONSORSHIP if the relevant feature is on.
INVALID_COST_TYPE Programmatic line items only support CostType.CPM.
SIZE_NOT_SUPPORTED Programmatic line items only support a creative size that is supported by AdX. The list of supported sizes is maintained based on the list published in the help docs: https://support.google.com/adxseller/answer/1100453
ZERO_COST_PER_UNIT_NOT_SUPPORTED Zero cost per unit is not supported by programmatic line items.
CANNOT_UPDATE_FIELD_FOR_APPROVED_LINE_ITEMS Some fields cannot be updated on approved line items.
CANNOT_CREATE_LINE_ITEM_FOR_APPROVED_ORDER Creating a new line item in an approved order is not allowed.
CANNOT_UPDATE_BACKFILL_WEB_PROPERTY_FOR_APPROVED_LINE_ITEMS Cannot change backfill web property for a programmatic line item whose order has been approved.
COST_PER_UNIT_TOO_LOW Cost per unit is too low. It has to be at least 0.005 USD.
UNKNOWN The value returned if the actual value is not exposed by the requested API version.

Send feedback about...

Ad Manager API
Ad Manager API
Need help? Visit our support page.